PUT /api/fleet/epm/custom_integrations/{pkgName}

Spaces method and path for this operation:

put /s/{space_id}/api/fleet/epm/custom_integrations/{pkgName}

Refer to Spaces for more information.

Update the datasets of an existing custom integration package.

[Required authorization] Route required privileges: fleet-settings-all AND integrations-all.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • pkgName string Required
application/json

Body

  • categories array[string]

    Not more than 10 elements.

  • readMeData string Required

Responses

  • 200 application/json

    Successful response

  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
PUT /api/fleet/epm/custom_integrations/{pkgName}
curl \
 --request PUT 'https://<KIBANA_URL>/api/fleet/epm/custom_integrations/{pkgName}' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "kbn-xsrf: true" \
 --data '{"datasets":[{"name":"my_custom_logs.access","type":"logs"}],"integrationName":"my_custom_logs"}'
Request example
Update a custom integration
{
  "datasets": [
    {
      "name": "my_custom_logs.access",
      "type": "logs"
    }
  ],
  "integrationName": "my_custom_logs"
}
Response examples (200)
Custom integration successfully updated
{
  "description": "Custom integration successfully updated",
  "value": {}
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}